/**
 * 前端公式 获取多选基础数据的objectCode
 * @author fengjiansheng
 * @date 2021-11-11
 */
export default {
    execute: function () {
        if (arguments && arguments[0] && arguments[0].length > 0 && arguments[1]) {
            if (arguments[0][0] && arguments[0][0].getResult() && arguments[0][0].getResult().Value) {
                let baseDataList = arguments[0][0].getResult().Value
                let res =[]
                baseDataList.forEach(e=>{
                    res.push(e.objectcode)
                })
                return res.toString();
            }
        }
    },
    getResultType: function () {
        return FMR.ConstDataTypes.String
    }
}
